Subject: Menus don't respect deleted pages
Description

The menu render object seems not to ignore deleted pages. It's really easy to render single pages unusable:

1) Create a site "foo" 
2) Create a site "bar" 
3) Delete site "foo" 
4) Rename URL name of site "bar" to "foo"

This crashes horribly as it makes the entire site unusable.

If you try to delete the malicous page "bar", you'll get an exception for "non-unique" paths. "/yoursite/foo" still exists but now twice.

The FE doesn't render any more. At least in my case. I used the demo site package. Publishing button doesn't work anymore.

The site itself can not be deleted nor can the name be changed as the backend will not load anything.

This is very critical.

Related issues:
duplicates Base Distribution - Task # 54080: As a content editor I want to be... Resolved 2013-11-29

History
#1 - 2013-12-04 11:06 - Thomas Hempel

Can somebody please change the title to "Deleting pages possibly crashes entire site"?

#2 - 2013-12-04 11:09 - Thomas Hempel

Short update. It looks like this destroys the entire site, neither the site nor the backend is rendered anymore.

#3 - 2013-12-04 11:14 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

Hey Thomas,

thanks for reporting. This is very critical indeed! We know what the issue is and how to solve it and we're upset that the fix didn't make it into beta2,
but this will be fixed for the final! see #54080 for more details

#4 - 2013-12-04 11:18 - Thomas Hempel
Hi Basti,

okay, good to know. I would have very surprised if that wasn't a know issue. ;)

Greets,
Thomas

#5 - 2013-12-04 11:23 - Bastian Waidelich

Thomas Hempel wrote:

okay, good to know. I would have very surprised if that wasn't a know issue. ;)

Yes, the CR is a complex beast with its overlays.. At least the server side should be fairly easy to fix. But we want to write behat tests first covering all
of those scenarios, so that we don't have to test this manually all the time. Stay tuned ;)

#6 - 2013-12-04 18:43 - Bastian Waidelich
- Target version set to 1.0 beta 2
